source: trunk/third/intltool/tests/Makefile.in @ 21469

Revision 21469, 14.7 KB checked in by ghudson, 20 years ago (diff)
This commit was generated by cvs2svn to compensate for changes in r21468, which included commits to RCS files with non-trunk default branches.
Line 
1# Makefile.in generated by automake 1.8.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16srcdir = @srcdir@
17top_srcdir = @top_srcdir@
18VPATH = @srcdir@
19pkglibdir = $(libdir)/@PACKAGE@
20pkgincludedir = $(includedir)/@PACKAGE@
21top_builddir = ..
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23INSTALL = @INSTALL@
24install_sh_DATA = $(install_sh) -c -m 644
25install_sh_PROGRAM = $(install_sh) -c
26install_sh_SCRIPT = $(install_sh) -c
27INSTALL_HEADER = $(INSTALL_DATA)
28transform = $(program_transform_name)
29NORMAL_INSTALL = :
30PRE_INSTALL = :
31POST_INSTALL = :
32NORMAL_UNINSTALL = :
33PRE_UNINSTALL = :
34POST_UNINSTALL = :
35subdir = tests
36DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
37        $(srcdir)/selftest.pl.in
38ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39am__aclocal_m4_deps = $(top_srcdir)/configure.in
40am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41        $(ACLOCAL_M4)
42mkinstalldirs = $(mkdir_p)
43CONFIG_CLEAN_FILES = selftest.pl
44SOURCES =
45DIST_SOURCES =
46RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
47        html-recursive info-recursive install-data-recursive \
48        install-exec-recursive install-info-recursive \
49        install-recursive installcheck-recursive installdirs-recursive \
50        pdf-recursive ps-recursive uninstall-info-recursive \
51        uninstall-recursive
52ETAGS = etags
53CTAGS = ctags
54DIST_SUBDIRS = $(SUBDIRS)
55DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
56pkgdatadir = @pkgdatadir@
57ACLOCAL = @ACLOCAL@
58AMTAR = @AMTAR@
59AUTOCONF = @AUTOCONF@
60AUTOHEADER = @AUTOHEADER@
61AUTOMAKE = @AUTOMAKE@
62AWK = @AWK@
63CYGPATH_W = @CYGPATH_W@
64DEFS = @DEFS@
65ECHO_C = @ECHO_C@
66ECHO_N = @ECHO_N@
67ECHO_T = @ECHO_T@
68EXPANDED_DATADIR = @EXPANDED_DATADIR@
69EXPANDED_LIBDIR = @EXPANDED_LIBDIR@
70INSTALL_DATA = @INSTALL_DATA@
71INSTALL_PROGRAM = @INSTALL_PROGRAM@
72INSTALL_SCRIPT = @INSTALL_SCRIPT@
73INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
74INTLTOOL_ICONV = @INTLTOOL_ICONV@
75INTLTOOL_MSGFMT = @INTLTOOL_MSGFMT@
76INTLTOOL_MSGMERGE = @INTLTOOL_MSGMERGE@
77INTLTOOL_XGETTEXT = @INTLTOOL_XGETTEXT@
78LIBOBJS = @LIBOBJS@
79LIBS = @LIBS@
80LTLIBOBJS = @LTLIBOBJS@
81MAKEINFO = @MAKEINFO@
82PACKAGE = @PACKAGE@
83PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
84PACKAGE_NAME = @PACKAGE_NAME@
85PACKAGE_STRING = @PACKAGE_STRING@
86PACKAGE_TARNAME = @PACKAGE_TARNAME@
87PACKAGE_VERSION = @PACKAGE_VERSION@
88PATH_SEPARATOR = @PATH_SEPARATOR@
89PERL = @PERL@
90SET_MAKE = @SET_MAKE@
91SHELL = @SHELL@
92STRIP = @STRIP@
93VERSION = @VERSION@
94ac_ct_STRIP = @ac_ct_STRIP@
95aclocaldir = @aclocaldir@
96am__leading_dot = @am__leading_dot@
97bindir = @bindir@
98build_alias = @build_alias@
99datadir = @datadir@
100exec_prefix = @exec_prefix@
101host_alias = @host_alias@
102includedir = @includedir@
103infodir = @infodir@
104install_sh = @install_sh@
105libdir = @libdir@
106libexecdir = @libexecdir@
107localstatedir = @localstatedir@
108mandir = @mandir@
109mkdir_p = @mkdir_p@
110oldincludedir = @oldincludedir@
111prefix = @prefix@
112program_transform_name = @program_transform_name@
113sbindir = @sbindir@
114sharedstatedir = @sharedstatedir@
115sysconfdir = @sysconfdir@
116target_alias = @target_alias@
117SUBDIRS = cases results
118TESTS = selftest
119EXTRA_DIST = selftest.pl.in
120CLEANFILES = selftest selftest.pl
121all: all-recursive
122
123.SUFFIXES:
124$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
125        @for dep in $?; do \
126          case '$(am__configure_deps)' in \
127            *$$dep*) \
128              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
129                && exit 0; \
130              exit 1;; \
131          esac; \
132        done; \
133        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
134        cd $(top_srcdir) && \
135          $(AUTOMAKE) --gnu  tests/Makefile
136.PRECIOUS: Makefile
137Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
138        @case '$?' in \
139          *config.status*) \
140            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
141          *) \
142            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
143            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
144        esac;
145
146$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
147        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
148
149$(top_srcdir)/configure:  $(am__configure_deps)
150        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
151$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
152        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
153selftest.pl: $(top_builddir)/config.status $(srcdir)/selftest.pl.in
154        cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
155uninstall-info-am:
156
157# This directory's subdirectories are mostly independent; you can cd
158# into them and run `make' without going through this Makefile.
159# To change the values of `make' variables: instead of editing Makefiles,
160# (1) if the variable is set in `config.status', edit `config.status'
161#     (which will cause the Makefiles to be regenerated when you run `make');
162# (2) otherwise, pass the desired values on the `make' command line.
163$(RECURSIVE_TARGETS):
164        @set fnord $$MAKEFLAGS; amf=$$2; \
165        dot_seen=no; \
166        target=`echo $@ | sed s/-recursive//`; \
167        list='$(SUBDIRS)'; for subdir in $$list; do \
168          echo "Making $$target in $$subdir"; \
169          if test "$$subdir" = "."; then \
170            dot_seen=yes; \
171            local_target="$$target-am"; \
172          else \
173            local_target="$$target"; \
174          fi; \
175          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
176           || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
177        done; \
178        if test "$$dot_seen" = "no"; then \
179          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
180        fi; test -z "$$fail"
181
182mostlyclean-recursive clean-recursive distclean-recursive \
183maintainer-clean-recursive:
184        @set fnord $$MAKEFLAGS; amf=$$2; \
185        dot_seen=no; \
186        case "$@" in \
187          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
188          *) list='$(SUBDIRS)' ;; \
189        esac; \
190        rev=''; for subdir in $$list; do \
191          if test "$$subdir" = "."; then :; else \
192            rev="$$subdir $$rev"; \
193          fi; \
194        done; \
195        rev="$$rev ."; \
196        target=`echo $@ | sed s/-recursive//`; \
197        for subdir in $$rev; do \
198          echo "Making $$target in $$subdir"; \
199          if test "$$subdir" = "."; then \
200            local_target="$$target-am"; \
201          else \
202            local_target="$$target"; \
203          fi; \
204          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
205           || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
206        done && test -z "$$fail"
207tags-recursive:
208        list='$(SUBDIRS)'; for subdir in $$list; do \
209          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
210        done
211ctags-recursive:
212        list='$(SUBDIRS)'; for subdir in $$list; do \
213          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
214        done
215
216ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
217        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
218        unique=`for i in $$list; do \
219            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
220          done | \
221          $(AWK) '    { files[$$0] = 1; } \
222               END { for (i in files) print i; }'`; \
223        mkid -fID $$unique
224tags: TAGS
225
226TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
227                $(TAGS_FILES) $(LISP)
228        tags=; \
229        here=`pwd`; \
230        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
231          include_option=--etags-include; \
232          empty_fix=.; \
233        else \
234          include_option=--include; \
235          empty_fix=; \
236        fi; \
237        list='$(SUBDIRS)'; for subdir in $$list; do \
238          if test "$$subdir" = .; then :; else \
239            test ! -f $$subdir/TAGS || \
240              tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
241          fi; \
242        done; \
243        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
244        unique=`for i in $$list; do \
245            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
246          done | \
247          $(AWK) '    { files[$$0] = 1; } \
248               END { for (i in files) print i; }'`; \
249        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
250          test -n "$$unique" || unique=$$empty_fix; \
251          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
252            $$tags $$unique; \
253        fi
254ctags: CTAGS
255CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
256                $(TAGS_FILES) $(LISP)
257        tags=; \
258        here=`pwd`; \
259        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
260        unique=`for i in $$list; do \
261            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
262          done | \
263          $(AWK) '    { files[$$0] = 1; } \
264               END { for (i in files) print i; }'`; \
265        test -z "$(CTAGS_ARGS)$$tags$$unique" \
266          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
267             $$tags $$unique
268
269GTAGS:
270        here=`$(am__cd) $(top_builddir) && pwd` \
271          && cd $(top_srcdir) \
272          && gtags -i $(GTAGS_ARGS) $$here
273
274distclean-tags:
275        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
276
277check-TESTS: $(TESTS)
278        @failed=0; all=0; xfail=0; xpass=0; skip=0; \
279        srcdir=$(srcdir); export srcdir; \
280        list='$(TESTS)'; \
281        if test -n "$$list"; then \
282          for tst in $$list; do \
283            if test -f ./$$tst; then dir=./; \
284            elif test -f $$tst; then dir=; \
285            else dir="$(srcdir)/"; fi; \
286            if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
287              all=`expr $$all + 1`; \
288              case " $(XFAIL_TESTS) " in \
289              *" $$tst "*) \
290                xpass=`expr $$xpass + 1`; \
291                failed=`expr $$failed + 1`; \
292                echo "XPASS: $$tst"; \
293              ;; \
294              *) \
295                echo "PASS: $$tst"; \
296              ;; \
297              esac; \
298            elif test $$? -ne 77; then \
299              all=`expr $$all + 1`; \
300              case " $(XFAIL_TESTS) " in \
301              *" $$tst "*) \
302                xfail=`expr $$xfail + 1`; \
303                echo "XFAIL: $$tst"; \
304              ;; \
305              *) \
306                failed=`expr $$failed + 1`; \
307                echo "FAIL: $$tst"; \
308              ;; \
309              esac; \
310            else \
311              skip=`expr $$skip + 1`; \
312              echo "SKIP: $$tst"; \
313            fi; \
314          done; \
315          if test "$$failed" -eq 0; then \
316            if test "$$xfail" -eq 0; then \
317              banner="All $$all tests passed"; \
318            else \
319              banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
320            fi; \
321          else \
322            if test "$$xpass" -eq 0; then \
323              banner="$$failed of $$all tests failed"; \
324            else \
325              banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
326            fi; \
327          fi; \
328          dashes="$$banner"; \
329          skipped=""; \
330          if test "$$skip" -ne 0; then \
331            skipped="($$skip tests were not run)"; \
332            test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
333              dashes="$$skipped"; \
334          fi; \
335          report=""; \
336          if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
337            report="Please report to $(PACKAGE_BUGREPORT)"; \
338            test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
339              dashes="$$report"; \
340          fi; \
341          dashes=`echo "$$dashes" | sed s/./=/g`; \
342          echo "$$dashes"; \
343          echo "$$banner"; \
344          test -z "$$skipped" || echo "$$skipped"; \
345          test -z "$$report" || echo "$$report"; \
346          echo "$$dashes"; \
347          test "$$failed" -eq 0; \
348        else :; fi
349
350distdir: $(DISTFILES)
351        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
352        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
353        list='$(DISTFILES)'; for file in $$list; do \
354          case $$file in \
355            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
356            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
357          esac; \
358          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
359          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
360          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
361            dir="/$$dir"; \
362            $(mkdir_p) "$(distdir)$$dir"; \
363          else \
364            dir=''; \
365          fi; \
366          if test -d $$d/$$file; then \
367            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
368              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
369            fi; \
370            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
371          else \
372            test -f $(distdir)/$$file \
373            || cp -p $$d/$$file $(distdir)/$$file \
374            || exit 1; \
375          fi; \
376        done
377        list='$(SUBDIRS)'; for subdir in $$list; do \
378          if test "$$subdir" = .; then :; else \
379            test -d "$(distdir)/$$subdir" \
380            || mkdir "$(distdir)/$$subdir" \
381            || exit 1; \
382            (cd $$subdir && \
383              $(MAKE) $(AM_MAKEFLAGS) \
384                top_distdir="../$(top_distdir)" \
385                distdir="../$(distdir)/$$subdir" \
386                distdir) \
387              || exit 1; \
388          fi; \
389        done
390check-am: all-am
391        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
392check: check-recursive
393all-am: Makefile
394installdirs: installdirs-recursive
395installdirs-am:
396install: install-recursive
397install-exec: install-exec-recursive
398install-data: install-data-recursive
399uninstall: uninstall-recursive
400
401install-am: all-am
402        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
403
404installcheck: installcheck-recursive
405install-strip:
406        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
407          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
408          `test -z '$(STRIP)' || \
409            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
410mostlyclean-generic:
411
412clean-generic:
413        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
414
415distclean-generic:
416        -rm -f $(CONFIG_CLEAN_FILES)
417
418maintainer-clean-generic:
419        @echo "This command is intended for maintainers to use"
420        @echo "it deletes files that may require special tools to rebuild."
421clean: clean-recursive
422
423clean-am: clean-generic mostlyclean-am
424
425distclean: distclean-recursive
426        -rm -f Makefile
427distclean-am: clean-am distclean-generic distclean-tags
428
429dvi: dvi-recursive
430
431dvi-am:
432
433html: html-recursive
434
435info: info-recursive
436
437info-am:
438
439install-data-am:
440
441install-exec-am:
442
443install-info: install-info-recursive
444
445install-man:
446
447installcheck-am:
448
449maintainer-clean: maintainer-clean-recursive
450        -rm -f Makefile
451maintainer-clean-am: distclean-am maintainer-clean-generic
452
453mostlyclean: mostlyclean-recursive
454
455mostlyclean-am: mostlyclean-generic
456
457pdf: pdf-recursive
458
459pdf-am:
460
461ps: ps-recursive
462
463ps-am:
464
465uninstall-am: uninstall-info-am
466
467uninstall-info: uninstall-info-recursive
468
469.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-TESTS \
470        check-am clean clean-generic clean-recursive ctags \
471        ctags-recursive distclean distclean-generic \
472        distclean-recursive distclean-tags distdir dvi dvi-am html \
473        html-am info info-am install install-am install-data \
474        install-data-am install-exec install-exec-am install-info \
475        install-info-am install-man install-strip installcheck \
476        installcheck-am installdirs installdirs-am maintainer-clean \
477        maintainer-clean-generic maintainer-clean-recursive \
478        mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
479        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
480        uninstall-info-am
481
482
483selftest: selftest.pl
484        cp $< $@ && chmod +x $@
485# Tell versions [3.59,3.63) of GNU make to not export all variables.
486# Otherwise a system limit (for SysV at least) may be exceeded.
487.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.